Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.predicates
Class EquiJoinPredicate

    java.lang.Object
      unity.predicates.EquiJoinPredicate

    public class EquiJoinPredicate

extends java.lang.Object

Field Summary
`static int` | `INT_KEY`
`static int` | `OBJECT_KEY`
`static int` | `STRING_KEY`

Constructor Summary
`EquiJoinPredicate(int[] idx1, int[] idx2, int ktype)`

Method Summary
`int` | `compare(Tuple t1, Tuple t2)`
`int` | `getKeyType()`
`int` | `getNumAttr()`
`int[]` | `getRelation1Locs()`
`int[]` | `getRelation2Locs()`
`java.lang.Object[]` | `getValuesRelation1(Tuple t)`
`java.lang.Object[]` | `getValuesRelation2(Tuple t)`
`EquiJoinPredicate` | `inversePredicate()`
`boolean` | `isEqual(Tuple t1, Tuple t2)`
`boolean` | `isGreaterThan(Tuple t1, Tuple t2)`
`boolean` | `isLessThan(Tuple t1, Tuple t2)`
`java.lang.String` | `toString(Relation relation1, Relation relation2)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_KEY

    public static int OBJECT_KEY

### STRING_KEY

    public static int STRING_KEY

### INT_KEY

    public static int INT_KEY

Constructor Detail

### EquiJoinPredicate

    public EquiJoinPredicate(int[] idx1,
                             int[] idx2,
                             int ktype)

Method Detail

### inversePredicate

    public EquiJoinPredicate inversePredicate()

### isLessThan

    public boolean isLessThan(Tuple t1,
                              Tuple t2)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### isGreaterThan

    public boolean isGreaterThan(Tuple t1,
                                 Tuple t2)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### isEqual

    public boolean isEqual(Tuple t1,
                           Tuple t2)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### compare

    public int compare(Tuple t1,
                       Tuple t2)
                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumAttr

    public int getNumAttr()

### getRelation1Locs

    public int[] getRelation1Locs()

### getRelation2Locs

    public int[] getRelation2Locs()

### getKeyType

    public int getKeyType()

### getValuesRelation1

    public java.lang.Object[] getValuesRelation1(Tuple t)

### getValuesRelation2

    public java.lang.Object[] getValuesRelation2(Tuple t)

### toString

    public java.lang.String toString(Relation relation1,
                                     Relation relation2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD